[**@rxap/data-source v19.0.2**](../README.md)

***

[@rxap/data-source](../globals.md) / StaticDataSourceData

# Type Alias: StaticDataSourceData\<Data\>

> **StaticDataSourceData**\<`Data`\>: `Data` \| `Promise`\<`Data`\> \| `Observable`\<`Data`\> \| () => `Data`

Defined in: [packages/angular/data-source/src/lib/static.data-source.ts:31](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-source/src/lib/static.data-source.ts#L31)

## Type Parameters

• **Data** = `any`
